# ParticipantHandler Class Reference
[Generic RTP input queues.]

Participant objects modification methods. More...

`#include <iqueue.h>`

Inheritance diagram for ParticipantHandler:

List of all members.

## Public Member Functions

void | setSDESItem (Participant *part, SDESItemType item, const std::string &val)
void | setPRIVPrefix (Participant *part, const std::string val)

## Protected Member Functions

| ParticipantHandler ()
virtual | ~ParticipantHandler ()

## Detailed Description

Participant objects modification methods.

Author:
  Federico Montesino Pouzols <fedemp@altern.org>

## Constructor & Destructor Documentation

ParticipantHandler::ParticipantHandler | ( | ) | `[inline, protected]`

virtual ParticipantHandler::~ParticipantHandler | ( | ) | `[inline, protected, virtual]`

## Member Function Documentation

void ParticipantHandler::setPRIVPrefix | ( | Participant * | part,
|  | const std::string | val
| ) |  | `[inline]`

void ParticipantHandler::setSDESItem | ( | Participant * | part,
|  | SDESItemType | item,
|  | const std::string & | val
| ) |  | `[inline]`

The documentation for this class was generated from the following file:

- iqueue.h